gdcm::EncodingImplementation< VR::VRBINARY > Class Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::EncodingImplementation< VR::VRBINARY >:
[legend]
Collaboration diagram for gdcm::EncodingImplementation< VR::VRBINARY >:
[legend]

## Static Public Member Functions

template<typename T>
static void | Read (T *data, unsigned long length, std::istream &_is)
template<typename T>
static void | ReadComputeLength (T *data, unsigned int &length, std::istream &_is)
template<typename T>
static void | ReadNoSwap (T *data, unsigned long length, std::istream &_is)
template<typename T>
static void | Write (const T *data, unsigned long length, std::ostream &_os)

## Member Function Documentation

## Read()

template<typename T>

void gdcm::EncodingImplementation< VR::VRBINARY >::Read | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is )

inline static

References gdcm::SwapperNoOp::SwapArray().

## ReadComputeLength()

template<typename T>

void gdcm::EncodingImplementation< VR::VRBINARY >::ReadComputeLength | ( | T * | data,
|  | unsigned int & | length,
|  | std::istream & | _is )

inline static

## ReadNoSwap()

template<typename T>

void gdcm::EncodingImplementation< VR::VRBINARY >::ReadNoSwap | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is )

inline static

## Write()

template<typename T>

void gdcm::EncodingImplementation< VR::VRBINARY >::Write | ( | const T * | data,
|  | unsigned long | length,
|  | std::ostream & | _os )

inline static

References gdcm::SwapperNoOp::Swap().

The documentation for this class was generated from the following file:

- gdcmElement.h